local modpath = minetest.get_modpath("defense_mob_api")

local library = {}
defense_mob_api.library = library




--order for all of these might have to change
local basics =
{
	"make_sound",
	"observer_api",
	"set_animation",
	"timer_api",
}
for _, name in ipairs(basics)
do
	dofile(modpath .. "/library/" .. name .. ".lua")
end

local actions =
{
	"flee",
	"hunt",
	"jump",
	"look",
	"move",
	"try_attack",
}

for _, name in ipairs(actions)
do
	dofile(modpath .. "/library/actions/" .. name .. ".lua")
end

local callbacks =
{
	"damage",
	"die",
	"find_target",
	"get_staticdata",
	"is_standing",
	"on_death",
	"on_punch",
	"on_step",
	"remove",
	"on_activate",
}
for _, name in ipairs(callbacks)
do
	dofile(modpath .. "/library/callbacks/" .. name .. ".lua")
end

